define([], function(){

	var deviceUUID = (typeof device == 'undefined') ? "" : device.uuid;
	var deviceName = (typeof device == 'undefined') ? navigator.userAgent : device.platform + " " + device.name + " "+ device.version + " (" + navigator.userAgent+ ")";
	var deviceFamily = (typeof device == 'undefined') ? "" : (device.platform ? device.platform.toLowerCase() : "");

	var configurationObject = function(){
		this.serverAddress = function (){
		    return 'https://api-mobilite.grouperandstad.fr';
		}
		this.deviceToken = function() {
			return deviceUUID;
		}
		this.appVersion = function(){
			return '3.2.0';
		}
		this.deviceName= function() {
			return deviceName;
		}
		this.deviceFamily = function() {
		    return deviceFamily; 
		}
		this.cacheTTL = function() {
			// time in millisecond
			return 30 * 1000;
		}
		this.marque = function() {
		    return "VB";//"AM";
		}
		this.pushConfig = function() {
			return {
				"android": {
					"senderID":"512748472945",
					"icon":"icon_notif"
				},
				"ios": {
					"alert": true, "badge": false, "sound": false
				},
				"windows":{}
			};
		}
		this.firstLaunch = false;
	};
	
	return configurationObject;
})
