define(['jquery', 'underscore', 'backbone', 'pamhelper','generic' , 'text!templates/enCoursImprevu.html', 'text!templates/commons/headerSmall.html', 'text!templates/commons/footer.html', 'text!templates/auth/auth_dialog.html', 'models/SumOfferModel',],
		function($, _, Backbone, pamHelper, GenericView, tmpImprevu, tmpHeader, tmpFooter,tmpDialog,sumOfferModel) {
	var view = GenericView.extend({
		transition: 'none',
		events: {
			'click #ImprButton' : 'envoyerImpr'
		},
		name:'enCoursImprevu',
		initialize : function(options) {
			console.log("Initialisation Vue ".concat(this.name));
			this.events = _.extend({}, this.genericEvents, this.events);
			this.delegateEvents();
			$.mobile.showPageLoadingMsg("b");
			_.bindAll(this, 'render');
			_.bindAll(this, 'renderData');
			this.model = new sumOfferModel;
			this.model.bind('change', this.renderData);
			this.model.initialise(options);

			console.log("Sortie Initialisation Vue ".concat(this.name));
		},
		render : function() {
			console.log("Rendu Vue ".concat(this.name));
			$(this.el).html(_.template(tmpImprevu, { headerTemplate: _.template(tmpHeader), footerTemplate: _.template(tmpFooter),authDialog : _.template(tmpDialog) })); 
			console.log(this.el);
			
			pamHelper.showNbUnreadMissionsBadge(this.el);
			$.mobile.hidePageLoadingMsg();
			
			console.log("Sortie Rendu Vue ".concat(this.name));
			return this.el;
		},
		envoyerImpr: function(){
			var situation = $('#situation').val();
			var commentaire = $('#txt-box').val();
			if(situation == 'absence' || situation == 'retard'){
				this.model.imprevu(situation,commentaire);
			}
			else if (situation == 'autre' && commentaire != ''){
				this.model.imprevu(situation,commentaire);
			}
			else if (situation == 'autre' && commentaire == ''){

				MyApp.openPopup("#dialog",'Veuillez saisir une description de votre imprévu');
			} 
			else{
				MyApp.openPopup("#dialog",'Vous devez indiquer votre situation');
			}
			
		}
	});

	return view;
});
