define(['jquery', 'underscore', 'backbone', 'pamhelper', 'generic','js/models/DetailedPropositionModel.js', 'text!templates/propositionRefus/propositionRefus.html', 'text!templates/propositionRefus/confirm.html', 'text!templates/commons/headerSmall.html', 'text!templates/commons/footer.html'], function($, _, Backbone, pamHelper, GenericView, DetailedPropositionModel, tmpProposistionRefus,tmpConfirmRefus, tmpHeaderSmall, tmpFooter) {
	var view = GenericView.extend({
		//transition: 'none',
		events: {
			"click #HeaderReturnButton" : "goBack",
			"click #RefusIndispoButton" : "sendRefusIndispoMessage",
			"click #RefusContrainteButton" : "sendRefusContrainteMessage",
			"click #RefusInteretButton" : "sendRefusInteretMessage"
		},
		motif : '',
		name:'propositionRefus',
		initialize : function() {

			console.log("Initialisation Vue ".concat(this.name));
			//this.model = this.options.idMission;
			this.events = _.extend({}, this.genericEvents, this.events);
			this.delegateEvents();
			$.mobile.showPageLoadingMsg("b");
			_.bindAll(this, 'render');
			_.bindAll(this, 'renderData');
			this.model = new DetailedPropositionModel;
			this.model.bind('change', this.renderData);
			this.model.initialise({id : this.options.idMission});
			console.log("Sortie Initialisation Vue ".concat(this.name));
		},
		render : function() {
			console.log("Rendu Vue ".concat(this.name));
			$(this.el).append(_.template(tmpProposistionRefus, { idMission : this.model.get('Id'), smallHeaderTemplate: _.template(tmpHeaderSmall), footerTemplate: _.template(tmpFooter), refusDialog: _.template(tmpConfirmRefus) }));
			$('body').append($(this.el));
			pamHelper.showNbUnreadMissionsBadge(this.el);
			console.log("Sortie Rendu Vue ".concat(this.name));
			
			return this.el;
		},
		goBack : function() {
			window.history.back();
		},
		sendRefusInteretMessage : function() {
			this.motif = "autreRaison";
			this.openConfirmationRefuse();
		},
		sendRefusIndispoMessage : function() {
			this.motif = 'indisponibilite';
			this.openConfirmationRefuse();
		},
		sendRefusContrainteMessage : function() {
			this.motif = 'contrainte';
			this.openConfirmationRefuse();
		},
		sendRefusMessage : function() {
			this.model.refuser(this.motif);
			MyApp.oSessionManager.clearCacheValue("mission");
		},
		refusAndClosePopup: function(){
			this.sendRefusMessage();
			this.closeRefusPopup();
		}
		
	});

	return view;
});
