define(['collections/OffersCollection'], function(OffersCollection){
	
	var missionConnector = function(){
		
		this.OffersCollection = undefined,
		this.disconnect =  function(){
			if(this.OffersCollection){
				if(this.OffersCollection.dataInCache()) {
					this.OffersCollection.removeDataFromCache();
				}
				this.OffersCollection = undefined;
			}
		},		
		this.getMissions = function(successCallback,errorCallback){
			
			console.log('recupération missions');
			if(!this.OffersCollection){
				this.OffersCollection = new OffersCollection;
			}

			if(this.OffersCollection.dataInCache()){
				if(successCallback) {
					successCallback(this.OffersCollection);
				}
			}
			else{
				this.OffersCollection.initialise(successCallback,errorCallback);
			}
		};
		
	};
	
	
	
	return missionConnector;
	
})
