define([], function(){
	var localeDictionary = {
		common : {
			error: {
				notYet: 'Fonction pas encore implémentée',
				authentificationError: "Vous n'êtes plus authentifié(e), merci de vous reconnecter",
				serverError: 'Une erreur est survenue lors de la synchronisation avec le serveur',
				unavailableError : 'Le service est indisponible pour le moment, merci de réessayer ultérieurement',
				connectionError: function(){
					if(navigator.network != undefined && navigator.network.connection.type == Connection.UNKNOWN){
						return 'Connnexion internet interrompue, veuillez vous reconnecter';
					}
					else{
						return 'Une erreur est survenue lors de la connexion avec le serveur';
					}
				}
			}
		},
		mission : {
			error:{
				noPropositionMission : "Aucune proposition de mission n'est disponible",
				noMission : "Aucune  mission en cours",
				server: "Erreur lors de la récupération des missions"
			},
			refuse:{
				popup : "Êtes vous sûr de vouloir refuser cette mission ?",
				ok : "Oui",
				cancel : "Annuler"
			}
		},
		passwordChange:{
		    error: {
		        general: "Erreur de changement de mot de passe",
		        missmatch: "Les deux mots de passe ne sont pas identiques",
		        empty: "Les champs sont obligatoires",
		        reg : "Votre nouveau mot de passe doit contenir au moins 8 caractères, dont un numérique et un alphanumérique"
		    }
		},
		planning:{
			error: {
				general:"Erreur d'enregistrement des saisies de la semaine"
			}
		},
		loginChange: {
		    error: {
		        general: "Erreur de changement d'adresse email",
		        missmatch: "Les deux email ne sont pas identiques",
		        empty: "Les deux champs sont obligatoires",
		        reg: "L'adresse email n'est pas valide"
		    },
            success : 'Changement d\'adresse Email bien pris en compte'
		},
		auth : {
			error : {
				badCheckEmailAndPassword : '',
				badEmail: 'Erreur : merci de vérifier votre email',
				badPassword: 'Erreur : merci de vérifier votre mot de passe'
			},
			disconnected : 'Vous avez été déconnecté',
			disconnectedQuestion: 'Êtes-vous sur de vouloir vous déconnecter ?'
		},
		customPwd: {
		    error : "Erreur v&eacute;rifiez les mots de passe entr&eacute;s"
		},
		pwdForgotten: {
		    error: "Erreur, impossible de récupérer le mot de passe",
		    success: "Un Email contenant votre mot de passe bien été envoyé",
		},
		changepassword: {
		    error: "Erreur, impossible de modifier le mot de passe",
		    success: "Votre mot de passe a bien été changé"
		},
		changelogin: {
		    error: "Erreur, impossible de modifier l\'Email",
		    success: "Votre Email a bien été changé"
		},
		secretquestion: {
		    successchangepwd: "Nouveau mot de passe enregistré",
		    successchangelogin: "Nouveau login enregistré",
		    error : "La question et/ou la réponse choisie sont erronées"
		}
	}
	return localeDictionary;
});