define(['jquery', 'underscore', 'backbone', 'pamhelper',
        'text!templates/enCours/enCoursList.html',
        'collections/OffersCollection'],
        function($, _, Backbone, pamHelper, tmpEnCoursList, OffersCollection) {
	var view = Backbone.View.extend({
		//transition: 'none',
		events: {
			"click .MissionsEnCoursItem" : "goToDetails"
		},
		name:'enCoursList',
		initialize : function() {
			console.log("Initialisation Vue ".concat(this.name));
			var me = this;
			$.mobile.showPageLoadingMsg('b', 'Chargement...');
			_.bindAll(this, 'render');

			// MyApp.oMissionManager.getMissions(function(missions) {
			// 	missions.bind('add', me.render);
			// });
			console.log("Sortie Initialisation Vue ".concat(this.name));
		},
		render : function() {
			console.log("Rendu Vue ".concat(this.name));
			var me = this;
			//Adding underscore compliant templates for footer and header
			MyApp.oMissionManager.getMissions(function(missions) {
				var currentMissions = missions.GetCurrentOffers();
				me.$el.html(_.template(tmpEnCoursList,
					{ OffersCollection: currentMissions, _: _}));

				$.mobile.hidePageLoadingMsg();
			});
			console.log("Sortie Rendu Vue ".concat(this.name));
			
			
			return this.el;
		},
		goToDetails : function(source) {
			Backbone.history.navigate('/enCoursSynthese/' + source.currentTarget.id.substr(15), true);
		}
	});

	return view;
});
