define(['jquery', 'underscore', 'backbone', 'pamhelper','generic','js/models/DetailedPropositionModel.js', 'text!templates/propositionRefus/propositionRefusMessages.html', 'text!templates/commons/headerSmall.html', 'text!templates/commons/footer.html', 'text!templates/propositionRefus/confirm.html'], function($, _, Backbone, pamHelper,GenericView,DetailedPropositionModel, tmpProposistionRefusMessages, tmpHeaderSmall, tmpFooter,tmpConfirmRefus) {
	var view = GenericView.extend({
		//transition: 'none',
		events: {
			"click #HeaderReturnButton" : "goBack",
			"click #MessagesCDD" : "sendRefusMessageCDD",
			"click #MessagesCDI" : "sendRefusMessageCDI",
			"click #MessagesAutres" : "sendRefusMessageAutres"
		},
		motif : '',
		name:'propositionRefusMessages',
		initialize : function() {
			console.log("Initialisation Vue ".concat(this.name));
			this.events = _.extend({}, this.genericEvents, this.events);
			this.delegateEvents();
			$.mobile.showPageLoadingMsg("b");
			_.bindAll(this, 'render');
			_.bindAll(this, 'renderData');
			this.model = new DetailedPropositionModel;
			this.model.bind('change', this.renderData);
			this.model.initialise({id : this.options.idMission});
			console.log("Sortie Initialisation Vue ".concat(this.name));
		},
		render : function() {
			console.log("Rendu Vue ".concat(this.name));
			$(this.el).append(_.template(tmpProposistionRefusMessages, { smallHeaderTemplate: _.template(tmpHeaderSmall), footerTemplate: _.template(tmpFooter), refusDialog:_.template(tmpConfirmRefus) }));
			$('body').append($(this.el));
			console.log("Sortie Rendu Vue ".concat(this.name));
			pamHelper.showNbUnreadMissionsBadge(this.el);
			return this.el;
		},
		goBack : function() {
			window.history.back();
		},
		sendRefusMessageCDD : function() {
			this.motif = "enCDD";
			this.openConfirmationRefuse();
		},
		sendRefusMessageCDI : function() {
			this.motif = "enCDI";
			this.openConfirmationRefuse();
		},
		sendRefusMessageAutres : function() {
			this.motif = "autreContrat";
			this.openConfirmationRefuse();
		},
		sendRefusMessage : function() {
			this.model.refuser(this.motif);
			MyApp.oSessionManager.clearCacheValue("mission");
		},
		refusAndClosePopup: function(){
			this.sendRefusMessage();
			this.closeRefusPopup();
		}
	});

	return view;
});
